View Issue Details

IDProjectCategoryLast Update
0021454AI War 2[All Projects] Bug - GameplayAug 12, 2019 9:00 am
ReporterZoreissAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.878 Fleet Customization 
Fixed in Version0.880 Belatedly Finding Friends... And Enemies 
Summary0021454: Can only load/unload a single fleet at a time now
DescriptionBefore this patch you could hit "m" to select all fleets/ships in system and hit the unload or load shortcut to get them to do so, now you can only do one fleet at a time. This is very awkward when you are moving multiple fleets around, having to pause the game and cycle trough 8+ fleets to unload them and do the same to load them after the system is cleared. I could do the same in 2 clicks before.
TagsNo tags attached.

Activities

zharmad

Aug 4, 2019 7:41 pm

reporter   ~0052404

Additional note on this issue. The load/unload command does not work when I select the fleet *flagship*, but only when I select the fleet itself. Therefore, selecting a loaded flagship will not let me unload the ships, but I'll have to press its fleet group selection ("1", "2", etc.) to access the fleet selection.

I didn't notice this in the previous patch, presumably because I was purely using the fleet group to command fleetballs. In this patch, to unload a single fleet, I have to get the fleet group and then select the fleet I want in the lower right menu.

It also doesn't seem possible to load and unload a single ship type (if this makes sense to do so).

RocketAssistedPuffin

Aug 4, 2019 8:36 pm

developer   ~0052406

Some discussion on this at the bottom of this: https://bugtracker.arcengames.com/view.php?id=21383

Double clicking the Flagship of a Fleet selects the Fleet.

Zoreiss

Aug 4, 2019 8:36 pm

reporter   ~0052407

It was kind of usefull to be able to select damaged frigates and save them by loading them up on the transport. Not used that often and I always wondered if repairing a frigate cost less ressources then rebuilding it after death. I probably would take more care of the frigates if repairing cost less by a fair margin and thus micro-manage them more into transports ships if badly hurt, if it's an allowed feature. Occasionally you would also prefer if a type of ship you owned would stay in the transports (like frigates agains't pike-heavy defences) but with the new fleet management you could probably manage.

RocketAssistedPuffin

Aug 4, 2019 8:41 pm

developer   ~0052408

balance_repair_cost_multiplier_for_hull_points: 50% cost for repairing hulls.
balance_repair_cost_multiplier_for_personal_shields: 20% cost for repairing personal shields.
balance_repair_cost_multiplier_for_bubble_forcefields: 75% cost for repairing bubble forcefields.
balance_repair_cost_multiplier_for_engines: 10% cost for repairing engine damage.

Transporting appears to be entirely a "Fleet Wide" action now. Single unit types or single units cannot be loaded or unloaded at will - it's every one, or no one. Hence why the Fleet itself must be selected to do it.

x4000Bughunter

Aug 5, 2019 7:15 pm

administrator   ~0052429

I think we could make a change to say that if a flagship is selected, then it also initiates transporting. That would solve this problem, so far as I can tell.

I suppose a bigger question is if the m key should select the actual fleets of any ships that are combat fleets... but that could mess with combat engineers and so on, if they are mixed into an otherwise-combat fleet...

Zoreiss

Aug 5, 2019 7:46 pm

reporter   ~0052435

I think the m key was fine the way it was before, selecting all things that can move out of the system. It was quite easy and not really annoying to tell support fleets/citadels to stay behind if they were going to be a liability. I guess I could see m selecting all the combat ships only, but I think it has to include the transport ships. It may be only me, but I got really used to the way m worked in conjunction with the last loading/unloading system and you load and unload so much in this game it felt really nice to be able to do so pressing "m" then "L". It may sound stupid but now I find myself not wanting to play as much the way it is now and I am waiting/hoping for it to go back to the way it was before.

zharmad

Aug 5, 2019 9:18 pm

reporter   ~0052441

I could use the "m"->"U" and "m"->"L" shortcut as well. Combined assaults from multiple divisions currently need me to use all the groups hotkeys. For what it's worth, combat engineers are prefixed "combat"...

wm46

Aug 6, 2019 2:35 am

reporter   ~0052442

This might have a lot of overhead, but maybe the selection code can be changed a bit.

Something like: "if all currently living members of a fleet are selected, change the selection to a fleet selection instead"

That way, if you unload a fleet onto an AI planet and then hit M, it'll end up selecting the fleet instead of the individual ships.

Zoreiss

Aug 6, 2019 10:56 am

reporter   ~0052444

Could it not simply behave like it did before the patch? Since the new 3x loading speed, I thought selection and loading/unloading was spot on. Sure it can be exploited by loading in/out quickly, but you just need to add something like a 10 seconds delay, with the number being showned counting down on the transports, before you can load ships again and it would fix that.

x4000Bughunter

Aug 9, 2019 4:19 pm

administrator   ~0052513

Thanks!

* Fixed a confusing thing where you had to have the fleet selected as-a-fleet in order for transport loading and unloading to happen. This meant that things like hitting the "m" key to select all mobile combat units, or even drag-selecting to select a variety of ships, would not let them load and unload anymore.
** Now as long as the flagship is selected, then it will work to initiate loading and unloading; still selecting a fleet as-a-fleet will work fine, but also just selecting the flagship-as-a-ship works.


If this doesn't seem like enough, then let me know. But it is feeling natural in practice after a bit of messing with it.

Zoreiss

Aug 9, 2019 9:40 pm

reporter   ~0052519

Thank you very much for this fix! Works well so far!

x4000Bughunter

Aug 12, 2019 9:00 am

administrator   ~0052543

Wonderful!

Issue History

Date Modified Username Field Change
Aug 3, 2019 10:45 pm Zoreiss New Issue
Aug 4, 2019 7:41 pm zharmad Note Added: 0052404
Aug 4, 2019 8:36 pm RocketAssistedPuffin Note Added: 0052406
Aug 4, 2019 8:36 pm Zoreiss Note Added: 0052407
Aug 4, 2019 8:41 pm RocketAssistedPuffin Note Added: 0052408
Aug 5, 2019 7:15 pm x4000Bughunter Note Added: 0052429
Aug 5, 2019 7:46 pm Zoreiss Note Added: 0052435
Aug 5, 2019 9:18 pm zharmad Note Added: 0052441
Aug 6, 2019 2:35 am wm46 Note Added: 0052442
Aug 6, 2019 10:56 am Zoreiss Note Added: 0052444
Aug 9, 2019 4:19 pm x4000Bughunter Assigned To => x4000Bughunter
Aug 9, 2019 4:19 pm x4000Bughunter Status new => resolved
Aug 9, 2019 4:19 pm x4000Bughunter Resolution open => fixed
Aug 9, 2019 4:19 pm x4000Bughunter Fixed in Version => 0.880 Belatedly Finding Friends... And Enemies
Aug 9, 2019 4:19 pm x4000Bughunter Note Added: 0052513
Aug 9, 2019 9:40 pm Zoreiss Note Added: 0052519
Aug 12, 2019 9:00 am x4000Bughunter Note Added: 0052543